Package org.rexxla.bsf

# Class RexxDispatcher

java.lang.Object
org.rexxla.bsf.RexxDispatcher

public class RexxDispatcher extends Object
Invokes given Rexx or ooRexx program and supplies the commandline arguments.

    ------------------------ Apache Version 2.0 license -------------------------
        Copyright (C) 2006-2024 Rony G. Flatscher

        Licensed under the Apache License, Version 2.0 (the "License");
        you may not use this file except in compliance with the License.
        You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

        Unless required by applicable law or agreed to in writing, software
        distributed under the License is distributed on an "AS IS" BASIS,
        WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
        See the License for the specific language governing permissions and
        limitations under the License.
     -----------------------------------------------------------------------------

Version:
  404.20240707
Author:
  Rony G. Flatscher

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `version`
  Version string indicating version of this class (majorVersion*100+minorVersion concatenated with a dot and the sorted date of last change.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `main(String[] args)`
  Dispatches the Rexx/ooRexx program in args[0] and supplies it with the argument, assembled by concatenating all remaining arguments with a blank.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### version

    public static final String version
    Version string indicating version of this class (majorVersion*100+minorVersion concatenated with a dot and the sorted date of last change.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### main

    public static void main(String[] args)
    Dispatches the Rexx/ooRexx program in args[0] and supplies it with the argument, assembled by concatenating all remaining arguments with a blank. In addition the String array `args[]` is saved in the BSF registry under the name "allCommandLineArguments".
    Parameters:
      `args` - arguments